Get Scenarios

Get Scenarios
Get all saved scenarios

Get all saved scenarios

Request
URI
GET
https://{api_host}/suite-api/api/whatif/scenarios
COPY
Query Parameters
string
scenarioStatus
Optional

scenarioStatus

Possible values are : SAVED, COMMITTED,
integer
page
Optional
Constraints: default: 0

Page number from which data needs to be displayed (0-based)

integer
pageSize
Optional
Constraints: default: 1000

Expected number of entries per page


Authentication
This operation uses the following authentication methods.
Responses
200

List scenarios

Returns WhatIfScenarios of type(s) application/json
"{\n  \"pageInfo\" : {\n    \"totalCount\" : 20,\n    \"page\" : 1,\n    \"pageSize\" : 20\n  },\n  \"whatIfScenarios\" : [ {\n    \"name\" : \"Add capacity scenario\",\n    \"actionType\" : \"ADD\",\n    \"contentType\" : \"WORKLOAD\",\n    \"workloadCapacityLocation\" : {\n      \"dataCenterId\" : \"5cd97c63-22cf-444c-bb82-1b47c5d79812\",\n      \"clusterId\" : \"f4d9a9ee-dfac-4e8c-a402-2b200674db00\"\n    },\n    \"scenarioContent\" : {\n      \"manualVmConfig\" : {\n        \"count\" : 2,\n        \"cpu\" : 1,\n        \"memory\" : 1,\n        \"storage\" : 1,\n        \"commonUtilization\" : 1.0,\n        \"vmInstanceOS\" : \"LINUX\"\n      },\n      \"commonUtilizationGrowthRate\" : 5\n    },\n    \"startDate\" : 1719385200000,\n    \"whatIfScenarioStatus\" : \"SAVED\"\n  }, {\n    \"name\" : \"Add capacity scenario\",\n    \"actionType\" : \"MIGRATE\",\n    \"contentType\" : \"WORKLOAD\",\n    \"workloadCapacityLocation\" : {\n      \"dataCenterId\" : \"5cd97c63-22cf-444c-bb82-1b47c5d79812\",\n      \"clusterId\" : \"f4d9a9ee-dfac-4e8c-a402-2b200674db00\"\n    },\n    \"scenarioContent\" : {\n      \"manualVmConfig\" : {\n        \"count\" : 2,\n        \"cpu\" : 1,\n        \"memory\" : 1,\n        \"storage\" : 1,\n        \"commonUtilization\" : 1.0,\n        \"vmInstanceOS\" : \"LINUX\"\n      },\n      \"commonUtilizationGrowthRate\" : 5\n    },\n    \"startDate\" : 1719385200000,\n    \"whatIfScenarioStatus\" : \"SAVED\"\n  } ]\n}"
array of object
links
Optional

Collection of links

object
pageInfo
Optional

Represents page information for a paged result

array of object
whatIfScenarios
Optional

List of What-If Scenarios


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/suite-api/api/whatif/scenarios